* Activity starter code.

* Define locations of files used in examples -- CHANGE THIS.
FILE HANDLE activity /NAME = "F:\13_ICPSR\Download\Activities".
GET FILE = "activity/SPSS_Activity_Data.sav".
DATASET NAME activity WINDOW=FRONT.

* Getting person mean stress (for later).
COMPUTE pmstress = MEAN(stress1 TO stress5).
VARIABLE LABELS PMstress "Person Mean Stress".
EXECUTE.

* Stacking data for MIXED.
VARSTOCASES
	/MAKE severity FROM severity1 TO severity5
	/MAKE stress FROM stress1 TO stress5
	/INDEX month (5)
	/KEEP = ALL
	/NULL = DROP.

* Labeling all variables.
VARIABLE LABELS 	
   PersonID 	"PersonID: Unique Identifier"
			baseage  	"baseage: Age at Baseline"
			treat 	   "treat: Treatment Group (1=control, 2=treatment)"
			month  	 	"month: Month of Study"
			severity 	"severity: Time-Varying Severity Outcome"
			stress   	"stress: Time-Varying Stress Predictor"
			pmstress 	"pmstress: Person-Mean Stress Predictor".
EXECUTE.

* Center time at first occasion.


EXECUTE.


***********************************************************************
*****			          Multilevel Analysis using SPSS MIXED		          *****
***********************************************************************.	

* General form of MIXED:
MIXED dv BY categorical and nesting variables WITH continuous variables
	/METHOD  = REML (default) or ML
	/PRINT   = regression solution, tests of covariances, G and R matrices
	/FIXED   = model predictors and interactions
	/RANDOM  = INTERCEPT random effects | SUBJECT(idvar) COVTYPE(unstructured)
	/REPEATED = categorical time | SUBJECT(idvar) COVTYPE(whatever structure).


* Now it is your turn!.



